[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: fixup branch+obsolete detection

Holger Levsen holger at moszumanska.debian.org
Thu May 28 11:08:53 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit f5fdd5939e1a6021605ed5e97579e3a7a9372e46
Author: Holger Levsen <holger at layer-acht.org>
Date:   Thu May 28 13:03:57 2015 +0200

    reproducible: fixup branch+obsolete detection
---
 bin/reproducible_html_repository_comparison.sh | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

diff --git a/bin/reproducible_html_repository_comparison.sh b/bin/reproducible_html_repository_comparison.sh
index 3f6c4a2..bed2b5f 100755
--- a/bin/reproducible_html_repository_comparison.sh
+++ b/bin/reproducible_html_repository_comparison.sh
@@ -129,9 +129,10 @@ for PKG in $SOURCES ; do
 		URL="http://anonscm.debian.org/cgit/reproducible/$PKG.git/?h=merged/reproducible_builds"
 		curl $URL > $TMP2FILE
 		if [ "$(grep "'error'>Invalid branch" $TMP2FILE 2>/dev/null)" ] ; then
-			write_page "<a href=\"$URL\">$PKG.git</a><br /><span class=\"purple\">non-standard branch</span>"
-			if $OBSOLETE_IN_SID ; then
-				write_page " (probably ok)"
+			if ! $OBSOLETE_IN_SID ; then
+				write_page "<a href=\"$URL\">$PKG.git</a><br /><span class=\"purple\">non-standard branch</span>"
+			else
+				write_page "<a href=\"$URL\">$PKG.git</a><br /><span class=\"green\">non-standard branch</span> (but that is ok, our package aint't used in unstable)"
 			fi
 		else
 			write_page "<a href=\"$URL\">$PKG.git</a>"
@@ -146,12 +147,23 @@ for PKG in $SOURCES ; do
 		fi
 	else
 		write_page "<a href=\"$URL\">$PKG.git</a>"
-		if ! $OBSOLETE_IN_TESTING && ! $OBSOLETE_IN_SID && ! $OBSOLETE_IN_EXP && [ "$PKG" != "strip-nondeterminism" ] ; then
-			write_page "<br />(unused?)"
-		elif ! $OBSOLETE_IN_SID ; then
-			let "MODIFIED_IN_SID+=1"
+		if [ "$PKG" != "strip-nondeterminism" ] ; then
+			if $OBSOLETE_IN_TESTING && $OBSOLETE_IN_SID && $OBSOLETE_IN_EXP ; then
+				write_page "<br />(unused?"
+				write_page "<br /><span class=\"purple\">Then the branch should probably renamed.</span>"
+			elif $OBSOLETE_IN_SID && $OBSOLETE_IN_EXP ; then
+				write_page "<br />(only used in testing, fixed in sid,"
+				write_page "<br /><span class=\"purple\">branch should probably renamed</span>)"
+			elif $OBSOLETE_IN_EXP ; then
+				write_page "<br />(only used in testing and unstable, fixed in experimental)"
+			fi
+		elif [ "$PKG" = "strip-nondeterminism" ] && $OBSOLETE_IN_SID ; then
+			write_page "<br />(this repo is always used)"
 		fi
 	fi
+	if ! $OBSOLETE_IN_SID ; then
+		let "MODIFIED_IN_SID+=1"
+	fi
 	write_page " </td>"
 	write_page " <td><a href=\"https://tracker.debian.org/pkg/$PKG\">PTS</a></td>"
 	URL="https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=$PKG&users=reproducible-builds@lists.alioth.debian.org&archive=both"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list